%define version 0.7.1
%define release 1mdk
%define name wmcpuload

Summary: WindowMaker dock application that displays CPU usage
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/WindowMaker
Source0:	WMCPULoad-%{version}.tar.bz2
URL:		http://www.sh.rim.or.jp/~ssato/wmcpuload-e.html
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A dockapp to monitor cpu load for WindowMaker. It works fine with AfterStep
and BlackBox.

%prep

%setup -n WMCPULoad-%{version}

%build
%configure
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 icons/%{name}-16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 644 icons/%{name}-32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 644 icons/%{name}-48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -c src/%{name} $RPM_BUILD_ROOT%{prefix}/bin

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="WmCPULoad"\\
                 longtitle="CPU monitoring dockapp for WindowMaker"
EOF


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc AUTHORS INSTALL NEWS COPYING README ChangeLog TODO THANKS
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Wed Sep 19 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.7.1-1mdk
- New revision. Fixes a bug with event handling with enlightenment.
  Fixes a bug with blended-color in 2/8/16 depth.
  Adds a few options. See the Changelog file.

* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.6.0-1mdk
- New revision : libdockapp is integrated now

* Wed Jul 25 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.6-1mdk
- New revision, icons are now integrated :o)

* Tue Jun 19 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.0-2mdk
- Added icons from the author Seiichi SATO <sato@cvs-net.co.jp>

* Tue Jun 05 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.5.0-1mdk
- New revision
- wrong commentaries fixed and my apologies to the author
  Seiichi SATO <sato@cvs-net.co.jp>

* Fri Jun 01 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.1.1-1mdk
- Initial packaging.
